Subject: Re: bug#18991: [PATCH] tests: fix encoding with `tr' to support multibyte in test

From: Jim Meyering <[email-masked]>
Date: Sat, 8 Nov 2014 19:00:55 -0800

On Sat, Nov 8, 2014 at 12:07 AM, Norihiro Tanaka <[email-masked]> wrote:
> It seems that `tr' in GNU coreutils does not recoginize multibyte
> character, but other imprementation, e.g. HP-UX, Solaris, recoginizes it.
>
> As a result, [ echo AB | LC_ALL=ja_JP.eucJP tr AB '\244\263' ] is
> transformed as [ echo AB | LC_ALL=ja_JP.eucJP tr A '\244\263' ], so that
> '\244\263' is recognized as a single multibyte character.  We do not
> expect that.

Thank you for the report and patch.
However, it is not maintainable to modify every use of "tr" in
the tests.  Instead, I've addressed this by making all of the
tests use tr through a wrapper that always sets LC_ALL=C: